include	clib.inc
include	wsub.inc

PPROC	wschdrv, wsub:dword, drv:word
	les	bx,wsub
	push	es
	push	bx
	les	bx,es:[bx.ws_flag]
	and	es:[bx.wp_flag],not (_W_ARCHIVE or _W_ROOTDIR)
	mov	dx,drv
	mov	ah,0Eh
	int	21h
	call	wslocal
	ret
PEND	wschdrv

	END
